> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update knowledge base topic



## OpenAPI

````yaml PATCH /v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics/{topicId}
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics/{topicId}:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: branchId
        in: path
        required: true
        schema:
          type: string
      - name: topicId
        in: path
        required: true
        schema:
          type: string
    patch:
      tags:
        - Knowledge Base
      summary: Update knowledge base topic
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateKnowledgeBaseTopicBody'
      responses:
        '204':
          description: Topic updated
        '404':
          description: Topic not found
components:
  schemas:
    UpdateKnowledgeBaseTopicBody:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        content:
          type: string
        actions:
          type: string
        exampleQueries:
          type: object
          properties:
            queries:
              type: array
              items:
                type: string
              maxItems: 100
          required:
            - queries
          additionalProperties: false
        isActive:
          type: boolean
      additionalProperties: false
      title: UpdateKnowledgeBaseTopicBody
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````